<?php
/**
* @file speedtest.php
*
* PHP Speed test/demo der optimierten kalsse
*
* @package		phonemes - http://www.feenders.de
* @copyright	Copyright (C) Computer - Daten - Netze : Feenders. All rights reserved.
* @license  	GNU/GPL, see LICENSE
* @created      24.01.14
* @version      1.0
* @author		Dirk Hoeschen (hoeschen@feenders.de)
*/
header('Content-Type: text/html; charset=UTF-8');
mb_internal_encoding('UTF-8');

function microtime_float() { list($usec, $sec) = explode(" ", microtime()); return ((float)$usec + (float)$sec); }

require_once("phonemes.php");

$teststring = "Es gibt im Moment in diese Mannschaft, oh, einige Spieler vergessen ihnen Profi was sie sind. Ich lese nicht sehr viele Zeitungen, aber ich habe gehört viele Situationen. Erstens: wir haben nicht offensiv gespielt. Es gibt keine deutsche Mannschaft spielt offensiv und die Name offensiv wie Bayern. Letzte Spiel hatten wir in Platz drei Spitzen: Elber, Jancka und dann Zickler. Wir müssen nicht vergessen Zickler. Zickler ist eine Spitzen mehr, Mehmet eh mehr Basler. Ist klar diese Wörter, ist möglich verstehen, was ich hab gesagt? Danke. Offensiv, offensiv ist wie machen wir in Platz. Zweitens: ich habe erklärt mit diese zwei Spieler: nach Dortmund brauchen vielleicht Halbzeit Pause. Ich habe auch andere Mannschaften gesehen in Europa nach diese Mittwoch. Ich habe gesehen auch zwei Tage die Training. Ein Trainer ist nicht ein Idiot!";

?>
<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <title>Hash-Generator - Speed test</title>
    <link href="base.css" media="all" rel="stylesheet" type="text/css" />
</head>
<body>
<div class="content">
    <h1>Hash-Generator - Speed test</h1>
    <p><strong>Hashe den folgenden Text 100 mal:</strong> <?=$teststring?></p>
    <hr>
     <blockquote>START
        <?php
            $time_start = microtime_float();
            for ($n=0;$n<100;$n++) {
                echo ".";
                $hashes =  phonemes::getHashesFromString($teststring);
            }
            $time_end = microtime_float();
            $time = $time_end - $time_start;
        ?>
         ENDE
    </blockquote>
    <p><strong>Ausführzeit:</strong> <?=number_format($time,4)?> Sekunden</p>
    <p><strong>Hashwerte:</strong>
        <?php
            foreach ($hashes AS $word => $hash) {
                echo  "&raquo;".$word.":".$hash." ";
            }
        ?>

    </p>
</div>
</body>
</html>
